/*****************
 *** Custom CSS ***
 *****************/

ons-input[type=text] {
  width: 90%;
}

ons-button[modifier=large] {
  width: initial;
  margin: 10px;
}

ons-splitter-side[side="left"][animation="overlay"] {
  border-right: 1px solid rgba(0, 0, 0, 0.1);
}

.highlight {
  background-color: lightyellow;
  color: rgba(255, 0, 0, 0.7);
}

.left-label {
  width: 30%;
  font-size: 16px;
  color: #666
}

/* Chrome, Safari, Edge, Opera */
ons-input::-webkit-outer-spin-button,
ons-input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
ons-input[type=number] {
  -moz-appearance: textfield;
}

.notification {
  background-color: #555;
  color: white;
  text-decoration: none;
  padding: 15px 26px;
  position: relative;
  display: inline-block;
  border-radius: 2px;
}

.notification:hover {
  background: red;
}

.notification .badge {
  position: absolute;
  top: -10px;
  right: -10px;
  padding: 5px 10px;
  border-radius: 50%;
  background-color: red;
  color: white;
}


/********************
 *** Animation CSS ***
 ********************/

#tabbarPage .list {
  background-color: grey;
  overflow-x: hidden;
  margin-top: -1px;
  border-bottom: 1px solid #ccc;
}

#tabbarPage .list-item {
  min-height: 0;
  height: 44px;
  background-color: white;
  margin: 1px 0 -1px 0;
}

#tabbarPage .list-item--material {
  height: 56px;
}

.list-title {
  margin-top: 12px;
}

.hide-children * {
  overflow: hidden;
}

.animation-swipe-right {
  pointer-events: none;
  -webkit-animation: swipe-right .9s ease-in-out forwards;
          animation: swipe-right .9s ease-in-out forwards;
}

.animation-swipe-left {
  pointer-events: none;
  -webkit-animation: swipe-left .9s ease-in-out forwards;
          animation: swipe-left .9s ease-in-out forwards;
}

.animation-remove {
  pointer-events: none;
  -webkit-animation: remove .7s ease-in-out forwards;
          animation: remove .7s ease-in-out forwards;
}

@-webkit-keyframes swipe-right {
  0% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
  }
  10% {
    -webkit-transform: translateX(-3%);
            transform: translateX(-3%);
  }
  100% {
    -webkit-transform: translateX(100%);
            transform: translateX(100%);
    height: 0;
    opacity: 0.3;
  }
}

@keyframes swipe-right {
  0% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
  }
  10% {
    -webkit-transform: translateX(-3%);
            transform: translateX(-3%);
  }
  100% {
    -webkit-transform: translateX(100%);
            transform: translateX(100%);
    height: 0;
    opacity: 0.3;
  }
}

@-webkit-keyframes swipe-left {
  0% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
  }
  10% {
    -webkit-transform: translateX(3%);
            transform: translateX(3%);
  }
  100% {
    -webkit-transform: translateX(-100%);
            transform: translateX(-100%);
    height: 0;
    opacity: 0.3;
  }
}

@keyframes swipe-left {
  0% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
  }
  10% {
    -webkit-transform: translateX(3%);
            transform: translateX(3%);
  }
  100% {
    -webkit-transform: translateX(-100%);
            transform: translateX(-100%);
    height: 0;
    opacity: 0.3;
  }
}

@-webkit-keyframes remove {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0.1;
    height: 0;
  }
}

@keyframes remove {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0.1;
    height: 0;
  }
}


/********************
 *** Custom CSS ***
 ********************/

@media screen and (max-width: 600px) {
  .small-screen-only {
    display: block !important;
  }
}

@media screen and (min-width: 778px) {
  .small-screen-only {
    display: none !important;
  }
}

@media screen and (max-width: 1200px) {
  .large-screen-only {
    display: none !important;
  }
}

@media screen and (min-width: 992px) {
  .large-screen-only {
    display: block !important;
  }
}

.constrain {
  max-width: 975px !important;
  height: 100vh;
  margin: 0 auto !important;
  border: 0;
  border-style: none;
  border-width: 0px;
  border-color: transparent;
}

@media screen and (min-width: 992px) {
  .constrain-1 {
    max-width: 500px !important;
    margin: 0 auto !important;
  }
}

input[type="file"] {
  visibility: hidden;
}

.custom-file-upload {
  background: #ddd;
  border: 1px solid #aaa;
  border-top: 1px solid #ccc;
  border-left: 1px solid #ccc;
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
  color: #444;
  display: inline-block;
  font-size: 11px;
  font-weight: bold;
  text-decoration: none;
  text-shadow: 0 1px rgba(255, 255, 255, .75);
  cursor: pointer;
  margin-bottom: 20px;
  line-height: normal;
  padding: 8px 10px; 
  width: 150px;
}

textarea {
  resize: none;
}